Package org.eclipse.ui.texteditor

# Interface ITextEditorActionConstants

All Superinterfaces:
  `IWorkbenchActionConstants`

public interface ITextEditorActionConstants extends IWorkbenchActionConstants
Defines the names of those actions which are pre-registered with the `AbstractTextEditor`. `RULER_DOUBLE_CLICK` defines the action which is registered as being executed when the editor's ruler has been double clicked. This interface extends the set of names available from `IWorkbenchActionConstants`. It also defines the names of the menu groups in a text editor's context menu.

This interface must not be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BLOCK_SELECTION_MODE`
Name of the action for toggling block selection mode.
`static final String`
`CHANGE_ENCODING`
Name of the change encoding action.
`static final String`
`CLEAR_MARK`
Name of the action to set the mark.
`static final String`
`CONTENT_ASSIST`
Name of the content assist action.
`static final String`
`CONTENT_ASSIST_CONTEXT_INFORMATION`
Name of the content assist context information action.
`static final String`
`CONTEXT_PREFERENCES`
Name of the action for showing the preferences from the editor context menu.
`static final String`
`CONVERT_LINE_DELIMITERS_TO_MAC`
Deprecated.
since 3.1.
`static final String`
`CONVERT_LINE_DELIMITERS_TO_UNIX`
Deprecated.
since 3.1.
`static final String`
`CONVERT_LINE_DELIMITERS_TO_WINDOWS`
Deprecated.
since 3.1.
`static final String`
`COPY`
Name of standard Copy global action in the Edit menu.
`static final String`
`COPY_LINE_DOWN`
Name of the action to copy lines downwards Value: `"CopyLineDown"`
`static final String`
`COPY_LINE_UP`
Name of the action to copy lines upwards Value: `"CopyLineUp"`
`static final String`
`CUT`
Name of standard Cut global action in the Edit menu.
`static final String`
`CUT_LINE`
Name of the action to cut the current line.
`static final String`
`CUT_LINE_TO_BEGINNING`
Name of the action to cut line to beginning.
`static final String`
`CUT_LINE_TO_END`
Name of the action to cut line to end.
`static final String`
`DELETE`
Name of standard Delete global action in the Edit menu.
`static final String`
`DELETE_LINE`
Name of the action to delete the current line.
`static final String`
`DELETE_LINE_TO_BEGINNING`
Name of the action to delete line to beginning.
`static final String`
`DELETE_LINE_TO_END`
Name of the action to delete line to end.
`static final String`
`FIND`
Name of standard Find global action in the Edit menu.
`static final String`
`FIND_INCREMENTAL`
Name of the action to incremental find.
`static final String`
`FIND_INCREMENTAL_REVERSE`
Name of the action to incremental find reverse.
`static final String`
`FIND_NEXT`
Name of the action to find next.
`static final String`
`FIND_PREVIOUS`
Name of the action to find previous.
`static final String`
`GOTO_LINE`
Name of the action to jump to a certain text line.
`static final String`
`GROUP_ASSIST`
Context menu group for typing aid actions such as content assist.
`static final String`
`GROUP_COPY`
Context menu group for copy/paste related actions.
`static final String`
`GROUP_EDIT`
Context menu group for text manipulation actions.
`static final String`
`GROUP_FIND`
Context menu group for find/replace related actions.
`static final String`
`GROUP_GENERATE`
Menu group for code generation and content assist actions.
`static final String`
`GROUP_INFORMATION`
Context menu group for actions that display additional information.
`static final String`
`GROUP_OPEN`
Menu group for open actions.
`static final String`
`GROUP_PRINT`
Context menu group for print related actions.
`static final String`
`GROUP_REST`
Context menu group for actions which do not fit in one of the other categories.
`static final String`
`GROUP_RESTORE`
Context menu group for quick diff revert related actions.
`static final String`
`GROUP_RULERS`
Context menu group for ruler column related actions.
`static final String`
`GROUP_SAVE`
Context menu group for save related actions.
`static final String`
`GROUP_SETTINGS`
Context menu group for preference related actions.
`static final String`
`GROUP_UNDO`
Context menu group for undo/redo related actions.
`static final String`
`HIPPIE_COMPLETION`
Name of the action for emacs style word completion.
`static final String`
`JOIN_LINES`
Name of the action to join the current lines.
`static final String`
`LINENUMBERS_TOGGLE`
Name of the action for toggling line number display.
`static final String`
`LOWER_CASE`
Name of the action to turn a selection to lower case Value: `"LowerCase"`
`static final String`
`MOVE_LINE_DOWN`
Name of the action to move lines downwards Value: `"MoveLineDown"`
`static final String`
`MOVE_LINE_UP`
Name of the action to move lines upwards Value: `"MoveLineUp"`
`static final String`
`NEXT`
Name of standard Next global action in the Navigate menu.
`static final String`
`OPEN_HYPERLINK`
Name of the action to open the hyperlink at the caret location or to display a chooser if more than one hyperlink is available.
`static final String`
`PASTE`
Name of standard Paste global action in the Edit menu.
`static final String`
`PREVIOUS`
Name of standard Previous global action in the Navigate menu.
`static final String`
`PRINT`
Name of standard Print global action in the File menu.
`static final String`
`PROPERTIES`
Name of standard Properties global action in the File menu.
`static final String`
`QUICK_ASSIST`
Name of the quick assist action Value: `"QuickAssist"`
`static final String`
`QUICKDIFF_REVERT`
Name of the action for reverting the selection or the block at the current selection.
`static final String`
`QUICKDIFF_REVERTBLOCK`
Name of the action for reverting the block at the current selection.
`static final String`
`QUICKDIFF_REVERTDELETION`
Name of the action for reverting deleted lines at the current selection.
`static final String`
`QUICKDIFF_REVERTLINE`
Name of the action for reverting the line at the current selection.
`static final String`
`QUICKDIFF_REVERTSELECTION`
Name of the action for reverting the current selection.
`static final String`
`QUICKDIFF_TOGGLE`
Name of the action for toggling quick diff display.
`static final String`
`RECENTER`
Name of the action for emacs recenter.
`static final String`
`REDO`
Name of standard Redo global action in the Edit menu.
`static final String`
`REFRESH`
Name of standard Refresh global action in the File menu.
`static final String`
`REVERT`
Name of standard Revert global action in the File menu.
`static final String`
`REVERT_TO_SAVED`
Name of the action for re-establishing the state after the most recent save operation.
`static final String`
`REVISION_HIDE_INFO`
Name of the action for hiding the revision info Value: `"Revision.HideInfo"`
`static final String`
`REVISION_RENDERING_CYCLE`
Name of the action for cycling through the revision rendering modes.
`static final String`
`REVISION_SHOW_AUTHOR_TOGGLE`
Name of the action for toggling the display of the revision author.
`static final String`
`REVISION_SHOW_ID_TOGGLE`
Name of the action for toggling the display of the revision id.
`static final String`
`RULER_CLICK`
Name of the ruler action performed when clicking the editor's vertical ruler.
`static final String`
`RULER_DOUBLE_CLICK`
Name of the ruler action performed when double clicking the editor's vertical ruler.
`static final String`
`RULER_MANAGE_BOOKMARKS`
Name of the ruler action to manage bookmarks.
`static final String`
`RULER_MANAGE_TASKS`
Name of the ruler action to manage tasks.
`static final String`
`RULER_PREFERENCES`
Name of the action for showing the preferences from the editor ruler context menu.
`static final String`
`SAVE`
Name of standard Save global action in the File menu.
`static final String`
`SELECT_ALL`
Name of standard Select All global action in the Edit menu.
`static final String`
`SET_MARK`
Name of the action to set the mark.
`static final String`
`SHIFT_LEFT`
Name of the action for shifting text blocks to the left.
`static final String`
`SHIFT_RIGHT`
Name of the action for shifting text blocks to the right.
`static final String`
`SHIFT_RIGHT_TAB`
Name of the action for shifting text blocks to the right, triggered by the TAB key.
`static final String`
`SHOW_CHANGE_RULER_INFORMATION`
Name of the action displaying a sticky ruler hover for the current caret location.
`static final String`
`SHOW_INFORMATION`
Name of the action displaying information for the current caret location in a sticky hover.
`static final String`
`SHOW_RULER_ANNOTATION_INFORMATION`
Name of the action displaying a sticky ruler annotation hover for the current caret location.
`static final String`
`SHOW_WHITESPACE_CHARACTERS`
Name of the action for toggling the display of whitespace characters.
`static final String`
`SMART_ENTER`
Name of the action to insert a new line below the current position.
`static final String`
`SMART_ENTER_INVERSE`
Name of the action to insert a new line above the current position.
`static final String`
`STATUS_CATEGORY_ELEMENT_STATE`
Status line category "element state".
`static final String`
`STATUS_CATEGORY_FIND_FIELD`
Status line category "findField".
`static final String`
`STATUS_CATEGORY_INPUT_MODE`
Status line category "input mode".
`static final String`
`STATUS_CATEGORY_INPUT_POSITION`
Status line category "input position".
`static final String`
`SWAP_MARK`
Name of the action to swap the mark with the cursor position.
`static final String`
`TOGGLE_INSERT_MODE`
Name of the action for toggling the smart insert mode.
`static final String`
`UNDO`
Name of standard Undo global action in the Edit menu.
`static final String`
`UPPER_CASE`
Name of the action to turn a selection to upper case Value: `"UpperCase"`
`static final String`
`WORD_WRAP`
Name of the action for toggling word wrap.

### Fields inherited from interface org.eclipse.ui.IWorkbenchActionConstants

`ABOUT, ADD_EXT, ADD_TASK, BACK, BOOKMARK, BUILD, BUILD_EXT, BUILD_GROUP, BUILD_PROJECT, CLOSE, CLOSE_ALL, CLOSE_EXT, CLOSE_PROJECT, CUT_EXT, EDIT_END, EDIT_GROUP, EDIT_START, EXPORT, FILE_END, FILE_START, FIND_EXT, FORWARD, GLOBAL_ACTIONS, GO_INTO, GO_TO, GO_TO_RESOURCE, GROUP_ADD, GROUP_APP, GROUP_EDITOR, GROUP_FILE, GROUP_HELP, GROUP_MANAGING, GROUP_REORGANIZE, GROUP_SHOW_IN, HELP_END, HELP_START, HISTORY_GROUP, IMPORT, IMPORT_EXT, LAUNCH_EXT, M_EDIT, M_FILE, M_HELP, M_LAUNCH, M_NAVIGATE, M_PERSPECTIVE, M_PROJECT, M_PROJECT_CONFIGURE, M_VIEW, M_WINDOW, M_WORKBENCH, MB_ADDITIONS, MENU_PREFIX, MOVE, MRU, NAV_END, NAV_START, NEW, NEW_EXT, NEW_GROUP, OPEN_EXT, OPEN_PROJECT, PERSPECTIVE_END, PERSPECTIVE_START, PIN_GROUP, PRINT_EXT, PROJ_END, PROJ_START, QUIT, REBUILD_ALL, REBUILD_PROJECT, RENAME, SAVE_ALL, SAVE_AS, SAVE_EXT, SAVE_GROUP, SEP, SHOW_EXT, SHOW_IN, SYNC_EDITOR, TOOLBAR_EDIT, TOOLBAR_FILE, TOOLBAR_HELP, TOOLBAR_NAVIGATE, UNDO_EXT, UP, VIEW_EXT, WB_END, WB_START, WINDOW_EXT`

## Field Details

### GROUP_UNDO

static final String GROUP_UNDO
Context menu group for undo/redo related actions. Value: `"group.undo"`

See Also:
  - Constant Field Values

### GROUP_COPY

static final String GROUP_COPY
Context menu group for copy/paste related actions. Value: `"group.copy"`

See Also:
  - Constant Field Values

### GROUP_EDIT

static final String GROUP_EDIT
Context menu group for text manipulation actions. Value: `"group.edit"`

See Also:
  - Constant Field Values

### GROUP_PRINT

static final String GROUP_PRINT
Context menu group for print related actions. Value: `"group.print"`

See Also:
  - Constant Field Values

### GROUP_FIND

static final String GROUP_FIND
Context menu group for find/replace related actions. Value: `"group.find"`

See Also:
  - Constant Field Values

### GROUP_SAVE

static final String GROUP_SAVE
Context menu group for save related actions. Value: `"group.save"`

See Also:
  - Constant Field Values

### GROUP_REST

static final String GROUP_REST
Context menu group for actions which do not fit in one of the other categories. Value: `"group.rest"`

See Also:
  - Constant Field Values

### GROUP_OPEN

static final String GROUP_OPEN
Menu group for open actions. Value `"group.open"`

Since:
  3.1
See Also:
  - Constant Field Values

### GROUP_GENERATE

static final String GROUP_GENERATE
Menu group for code generation and content assist actions. Value `"group.generate"`).

Since:
  3.1
See Also:
  - Constant Field Values

### SHIFT_RIGHT

static final String SHIFT_RIGHT
Name of the action for shifting text blocks to the right. Value: `"ShiftRight"`

See Also:
  - Constant Field Values

### SHIFT_RIGHT_TAB

static final String SHIFT_RIGHT_TAB
Name of the action for shifting text blocks to the right, triggered by the TAB key. Value: `"ShiftRightTab"`

Since:
  3.0
See Also:
  - Constant Field Values

### SHIFT_LEFT

static final String SHIFT_LEFT
Name of the action for shifting text blocks to the left. Value: `"ShiftLeft"`

See Also:
  - Constant Field Values

### DELETE_LINE

static final String DELETE_LINE
Name of the action to delete the current line. Value: `"DeleteLine"`

Since:
  2.0
See Also:
  - Constant Field Values

### JOIN_LINES

static final String JOIN_LINES
Name of the action to join the current lines. Value: `"JoinLine"`

Since:
  3.3
See Also:
  - Constant Field Values

### CUT_LINE

static final String CUT_LINE
Name of the action to cut the current line. Value: `"CutLine"`

Since:
  2.1
See Also:
  - Constant Field Values

### DELETE_LINE_TO_BEGINNING

static final String DELETE_LINE_TO_BEGINNING
Name of the action to delete line to beginning. Value: `"DeleteLineToBeginning"`

Since:
  2.0
See Also:
  - Constant Field Values

### CUT_LINE_TO_BEGINNING

static final String CUT_LINE_TO_BEGINNING
Name of the action to cut line to beginning. Value: `"CutLineToBeginning"`

Since:
  2.1
See Also:
  - Constant Field Values

### DELETE_LINE_TO_END

static final String DELETE_LINE_TO_END
Name of the action to delete line to end. Value: `"DeleteLineToEnd"`

Since:
  2.0
See Also:
  - Constant Field Values

### CUT_LINE_TO_END

static final String CUT_LINE_TO_END
Name of the action to cut line to end. Value: `"CutLineToEnd"`

Since:
  2.1
See Also:
  - Constant Field Values

### SET_MARK

static final String SET_MARK
Name of the action to set the mark. Value: `"SetMark"`

Since:
  2.0
See Also:
  - Constant Field Values

### CLEAR_MARK

static final String CLEAR_MARK
Name of the action to set the mark. Value: `"ClearMark"`

Since:
  2.0
See Also:
  - Constant Field Values

### SWAP_MARK

static final String SWAP_MARK
Name of the action to swap the mark with the cursor position. Value: `"SwapMark"`

Since:
  2.0
See Also:
  - Constant Field Values

### GOTO_LINE

static final String GOTO_LINE
Name of the action to jump to a certain text line. Value: `"GotoLine"`

See Also:
  - Constant Field Values

### SMART_ENTER

static final String SMART_ENTER
Name of the action to insert a new line below the current position. Value: `"SmartEnter"`

Since:
  3.0
See Also:
  - Constant Field Values

### SMART_ENTER_INVERSE

static final String SMART_ENTER_INVERSE
Name of the action to insert a new line above the current position. Value: `"SmartEnterInverse"`

Since:
  3.0
See Also:
  - Constant Field Values

### MOVE_LINE_UP

static final String MOVE_LINE_UP
Name of the action to move lines upwards Value: `"MoveLineUp"`

Since:
  3.0
See Also:
  - Constant Field Values

### MOVE_LINE_DOWN

static final String MOVE_LINE_DOWN
Name of the action to move lines downwards Value: `"MoveLineDown"`

Since:
  3.0
See Also:
  - Constant Field Values

### COPY_LINE_UP

static final String COPY_LINE_UP
Name of the action to copy lines upwards Value: `"CopyLineUp"`

Since:
  3.0
See Also:
  - Constant Field Values

### COPY_LINE_DOWN

static final String COPY_LINE_DOWN
Name of the action to copy lines downwards Value: `"CopyLineDown"`

Since:
  3.0
See Also:
  - Constant Field Values

### UPPER_CASE

static final String UPPER_CASE
Name of the action to turn a selection to upper case Value: `"UpperCase"`

Since:
  3.0
See Also:
  - Constant Field Values

### LOWER_CASE

static final String LOWER_CASE
Name of the action to turn a selection to lower case Value: `"LowerCase"`

Since:
  3.0
See Also:
  - Constant Field Values

### FIND_NEXT

static final String FIND_NEXT
Name of the action to find next. Value: `"FindNext"`

Since:
  2.0
See Also:
  - Constant Field Values

### FIND_PREVIOUS

static final String FIND_PREVIOUS
Name of the action to find previous. Value: `"FindPrevious"`

Since:
  2.0
See Also:
  - Constant Field Values

### FIND_INCREMENTAL

static final String FIND_INCREMENTAL
Name of the action to incremental find. Value: `"FindIncremental"`

Since:
  2.0
See Also:
  - Constant Field Values

### FIND_INCREMENTAL_REVERSE

static final String FIND_INCREMENTAL_REVERSE
Name of the action to incremental find reverse. Value: `"FindIncrementalReverse"`

Since:
  2.1
See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_WINDOWS

@Deprecated static final String CONVERT_LINE_DELIMITERS_TO_WINDOWS
Deprecated.
since 3.1. No longer supported as editor actions.
Name of the action to convert line delimiters to Windows. Value: `"ConvertLineDelimitersToWindows"`

Since:
  2.0
See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_UNIX

@Deprecated static final String CONVERT_LINE_DELIMITERS_TO_UNIX
Deprecated.
since 3.1. No longer supported as editor actions.
Name of the action to convert line delimiters to UNIX. Value: `"ConvertLineDelimitersToUNIX"`

Since:
  2.0
See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_MAC

@Deprecated static final String CONVERT_LINE_DELIMITERS_TO_MAC
Deprecated.
since 3.1. No longer supported as editor actions.
Name of the action to convert line delimiters to MAC. Value: `"ConvertLineDelimitersToMAC"`

Since:
  2.0
See Also:
  - Constant Field Values

### CHANGE_ENCODING

static final String CHANGE_ENCODING
Name of the change encoding action. Value: `"ChangeEncoding"`

Since:
  3.1
See Also:
  - Constant Field Values

### RULER_DOUBLE_CLICK

static final String RULER_DOUBLE_CLICK
Name of the ruler action performed when double clicking the editor's vertical ruler. Value: `"RulerDoubleClick"`

See Also:
  - Constant Field Values

### RULER_CLICK

static final String RULER_CLICK
Name of the ruler action performed when clicking the editor's vertical ruler. Value: `"RulerClick"`

Since:
  2.0
See Also:
  - Constant Field Values

### RULER_MANAGE_TASKS

static final String RULER_MANAGE_TASKS
Name of the ruler action to manage tasks. Value: `"ManageTasks"`

See Also:
  - Constant Field Values

### RULER_MANAGE_BOOKMARKS

static final String RULER_MANAGE_BOOKMARKS
Name of the ruler action to manage bookmarks. Value: `"ManageBookmarks"`

See Also:
  - Constant Field Values

### STATUS_CATEGORY_INPUT_POSITION

static final String STATUS_CATEGORY_INPUT_POSITION
Status line category "input position". Value: `"InputPosition"`

Since:
  2.0
See Also:
  - Constant Field Values

### STATUS_CATEGORY_INPUT_MODE

static final String STATUS_CATEGORY_INPUT_MODE
Status line category "input mode". Value: `"InputMode"`

Since:
  2.0
See Also:
  - Constant Field Values

### STATUS_CATEGORY_ELEMENT_STATE

static final String STATUS_CATEGORY_ELEMENT_STATE
Status line category "element state". Value: `"ElementState"`

Since:
  2.0
See Also:
  - Constant Field Values

### STATUS_CATEGORY_FIND_FIELD

static final String STATUS_CATEGORY_FIND_FIELD
Status line category "findField". Value: `"findField"`

Since:
  3.0
See Also:
  - Constant Field Values

### COPY

static final String COPY
Name of standard Copy global action in the Edit menu. Value `"copy"`

Since:
  3.0
See Also:
  - `ActionFactory.COPY`

### CUT

static final String CUT
Name of standard Cut global action in the Edit menu. Value `"cut"`

Since:
  3.0
See Also:
  - `ActionFactory.CUT`

### DELETE

static final String DELETE
Name of standard Delete global action in the Edit menu. Value `"delete"`

Since:
  3.0
See Also:
  - `ActionFactory.DELETE`

### FIND

static final String FIND
Name of standard Find global action in the Edit menu. Value `"find"`

Since:
  3.0
See Also:
  - `ActionFactory.FIND`

### PASTE

static final String PASTE
Name of standard Paste global action in the Edit menu. Value `"paste"`

Since:
  3.0
See Also:
  - `ActionFactory.PASTE`

### PRINT

static final String PRINT
Name of standard Print global action in the File menu. Value `"print"`

Since:
  3.0
See Also:
  - `ActionFactory.PRINT`

### PROPERTIES

static final String PROPERTIES
Name of standard Properties global action in the File menu. Value `"properties"`

Since:
  3.1
See Also:
  - `ActionFactory.PROPERTIES`

### REDO

static final String REDO
Name of standard Redo global action in the Edit menu. Value `"redo"`

Since:
  3.0
See Also:
  - `ActionFactory.REDO`

### UNDO

static final String UNDO
Name of standard Undo global action in the Edit menu. Value `"undo"`

Since:
  3.0
See Also:
  - `ActionFactory.UNDO`

### SAVE

static final String SAVE
Name of standard Save global action in the File menu. Value `"save"`

Since:
  3.0
See Also:
  - `ActionFactory.SAVE`

### SELECT_ALL

static final String SELECT_ALL
Name of standard Select All global action in the Edit menu. Value `"selectAll"`

Since:
  3.0
See Also:
  - `ActionFactory.SELECT_ALL`

### REVERT

static final String REVERT
Name of standard Revert global action in the File menu. Value `"revert"`

Since:
  3.0
See Also:
  - `ActionFactory.REVERT`

### NEXT

static final String NEXT
Name of standard Next global action in the Navigate menu. Value `"next"`

Since:
  3.2
See Also:
  - `ActionFactory.NEXT`

### PREVIOUS

static final String PREVIOUS
Name of standard Previous global action in the Navigate menu. Value `"previous"`

Since:
  3.2
See Also:
  - `ActionFactory.PREVIOUS`

### REFRESH

static final String REFRESH
Name of standard Refresh global action in the File menu. Value `"refresh"`

Since:
  3.4
See Also:
  - `ActionFactory.REFRESH`

### REVERT_TO_SAVED

static final String REVERT_TO_SAVED
Name of the action for re-establishing the state after the most recent save operation. Value: `"ITextEditorActionConstants.REVERT"`

### TOGGLE_INSERT_MODE

static final String TOGGLE_INSERT_MODE
Name of the action for toggling the smart insert mode. Value: `"ToggleInsertMode"`

Since:
  3.0
See Also:
  - Constant Field Values

### GROUP_SETTINGS

static final String GROUP_SETTINGS
Context menu group for preference related actions. Value: `"settings"`

Since:
  3.1
See Also:
  - Constant Field Values

### GROUP_RULERS

static final String GROUP_RULERS
Context menu group for ruler column related actions. Value: `"rulers"`

Since:
  3.1
See Also:
  - Constant Field Values

### GROUP_RESTORE

static final String GROUP_RESTORE
Context menu group for quick diff revert related actions. Value: `"restore"`

Since:
  3.1
See Also:
  - Constant Field Values

### GROUP_INFORMATION

static final String GROUP_INFORMATION
Context menu group for actions that display additional information. Value: `"group.information"`.

Since:
  3.2
See Also:
  - Constant Field Values

### GROUP_ASSIST

static final String GROUP_ASSIST
Context menu group for typing aid actions such as content assist. Value: `"group.assist"`.

Since:
  3.2
See Also:
  - Constant Field Values

### CONTEXT_PREFERENCES

static final String CONTEXT_PREFERENCES
Name of the action for showing the preferences from the editor context menu. Value: `"Preferences.ContextAction"`

Since:
  3.1
See Also:
  - Constant Field Values

### RULER_PREFERENCES

static final String RULER_PREFERENCES
Name of the action for showing the preferences from the editor ruler context menu. Value: `"Preferences.RulerAction"`

Since:
  3.1
See Also:
  - Constant Field Values

### LINENUMBERS_TOGGLE

static final String LINENUMBERS_TOGGLE
Name of the action for toggling line number display. Value: `"Linenumbers.Toggle"`

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERTDELETION

static final String QUICKDIFF_REVERTDELETION
Name of the action for reverting deleted lines at the current selection. Value: `"QuickDiff.RevertDeletion"`

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERTLINE

static final String QUICKDIFF_REVERTLINE
Name of the action for reverting the line at the current selection. Value: `"QuickDiff.RevertLine"`

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERT

static final String QUICKDIFF_REVERT
Name of the action for reverting the selection or the block at the current selection. Value: `"QuickDiff.Revert"`

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERTBLOCK

static final String QUICKDIFF_REVERTBLOCK
Name of the action for reverting the block at the current selection. Value: `"QuickDiff.RevertBlock"`

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERTSELECTION

static final String QUICKDIFF_REVERTSELECTION
Name of the action for reverting the current selection. Value: `"QuickDiff.RevertBlock"`

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_TOGGLE

static final String QUICKDIFF_TOGGLE
Name of the action for toggling quick diff display. Value: `"QuickDiff.Toggle"`

Since:
  3.1
See Also:
  - Constant Field Values

### HIPPIE_COMPLETION

static final String HIPPIE_COMPLETION
Name of the action for emacs style word completion. Value: `"HIPPIE_COMPLETION"`

Since:
  3.1
See Also:
  - Constant Field Values

### REVISION_HIDE_INFO

static final String REVISION_HIDE_INFO
Name of the action for hiding the revision info Value: `"Revision.HideInfo"`

Since:
  3.2
See Also:
  - Constant Field Values

### CONTENT_ASSIST

static final String CONTENT_ASSIST
Name of the content assist action. Value: `"ContentAssistProposal"`

Since:
  3.5
See Also:
  - Constant Field Values

### CONTENT_ASSIST_CONTEXT_INFORMATION

static final String CONTENT_ASSIST_CONTEXT_INFORMATION
Name of the content assist context information action. Value: `"ContentAssistContextInformation"`

Since:
  3.5
See Also:
  - Constant Field Values

### QUICK_ASSIST

static final String QUICK_ASSIST
Name of the quick assist action Value: `"QuickAssist"`

Since:
  3.2
See Also:
  - Constant Field Values

### REVISION_RENDERING_CYCLE

static final String REVISION_RENDERING_CYCLE
Name of the action for cycling through the revision rendering modes. Value: `"Revision.Rendering.Cycle"`

Since:
  3.3
See Also:
  - Constant Field Values

### REVISION_SHOW_AUTHOR_TOGGLE

static final String REVISION_SHOW_AUTHOR_TOGGLE
Name of the action for toggling the display of the revision author. Value: `"Revision.ShowAuthor.Toggle"`

Since:
  3.3
See Also:
  - Constant Field Values

### REVISION_SHOW_ID_TOGGLE

static final String REVISION_SHOW_ID_TOGGLE
Name of the action for toggling the display of the revision id. Value: `"Revision.ShowId.Toggle"`

Since:
  3.3
See Also:
  - Constant Field Values

### RECENTER

static final String RECENTER
Name of the action for emacs recenter. Value: `"RECENTER"`

Since:
  3.3
See Also:
  - Constant Field Values

### SHOW_WHITESPACE_CHARACTERS

static final String SHOW_WHITESPACE_CHARACTERS
Name of the action for toggling the display of whitespace characters. Value: `"ShowWhitespaceCharacters"`

Since:
  3.3
See Also:
  - Constant Field Values

### SHOW_INFORMATION

static final String SHOW_INFORMATION
Name of the action displaying information for the current caret location in a sticky hover. Value: `"ShowInformation"`

Since:
  3.3
See Also:
  - `IInformationProvider`
  - Constant Field Values

### BLOCK_SELECTION_MODE

static final String BLOCK_SELECTION_MODE
Name of the action for toggling block selection mode. Value: `"BlockSelectionMode"`

Since:
  3.5
See Also:
  - Constant Field Values

### WORD_WRAP

static final String WORD_WRAP
Name of the action for toggling word wrap. Value: `"WordWrap"`

Since:
  3.10
See Also:
  - Constant Field Values

### SHOW_CHANGE_RULER_INFORMATION

static final String SHOW_CHANGE_RULER_INFORMATION
Name of the action displaying a sticky ruler hover for the current caret location. Value: `"ShowChangeRulerInformation"`

Since:
  3.6
See Also:
  - Constant Field Values

### SHOW_RULER_ANNOTATION_INFORMATION

static final String SHOW_RULER_ANNOTATION_INFORMATION
Name of the action displaying a sticky ruler annotation hover for the current caret location. Value: `"ShowRulerAnnotationInformation"`

Since:
  3.6
See Also:
  - Constant Field Values

### OPEN_HYPERLINK

static final String OPEN_HYPERLINK
Name of the action to open the hyperlink at the caret location or to display a chooser if more than one hyperlink is available. Value: `"OpenHyperlink"`

Since:
  3.7
See Also:
  - Constant Field Values